Bug 1305015 - Missing groovy-all JAR and depmap
Missing groovy-all JAR and depmap
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: groovy (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1305237 1305365
  Show dependency treegraph
 
Reported: 2016-02-05 05:38 EST by gil cattaneo
Modified: 2016-02-08 12:05 EST (History)
5 users (show)

See Also:
Fixed In Version: groovy-2.4.5-5.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-08 11:00:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2016-02-05 05:38:26 EST
hi,
seem the groovy-all.jar is missing or is not provides in depmap
Please, re-add it references in depmap. This problem cause build failure
using groovy ant task, for packages that use maven-antrun-plugin to generate java classes
regards
Comment 1 gil cattaneo 2016-02-06 05:51:53 EST
required also by:
DEBUG util.py:399:  Error: nothing provides mvn(org.codehaus.groovy:groovy-all) needed by xbean-4.4-1.fc24.noarch
Comment 2 Michal Srb 2016-02-08 11:00:49 EST
Thanks for the bug report. The issue should be fixed in Rawhide now.
Comment 3 Raphael Groner 2016-02-08 12:05:19 EST
Thanks for the fix. My package builds fine now.

Note You need to log in before you can comment on or make changes to this bug.